
#password-modal {
  position: fixed;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  background: linear-gradient(135deg, #fff 0%, #f7f7f7 50%, #dbdbdb 100%);
  display: flex;
  justify-content: center;
  align-items: center;
  z-index: 9999;
}

.modal-content {
  background: white;
  padding: 30px 50px;
  border-radius: 8px;
  text-align: center;
  box-shadow: 0 4px 12px rgba(232, 98, 10, 0.3);
}

.modal-content h2 {
  margin-bottom: 20px;
  font-size: 24px;
  color: black;
}

.modal-content input[type="password"] {
  padding: 14px;
  width: 80%;
  font-size: 16px;
  margin-bottom: 20px;
  border: 1px solid #ccc;
  border-radius: 4px;
}

.modal-content button {
  padding: 11px 20px;
  font-size: 16px;
  background: rgb(323, 98, 10);
  color: white;
  border: none;
  border-radius: 4px;
  cursor: pointer;
}

.modal-content button:hover {
  background: rgb(323, 98, 10);
}

#protected-content {
  display: none;
}

.error-msg {
  color: red;
  font-size: 14px;
  margin-top: -15px;
  margin-bottom: 15px;
}
